clang 10.0.0git

List of all members
clang::CanProxyAdaptor< EnumType > Struct Template Reference

`#include "clang/AST/CanonicalType.h"`

Inheritance diagram for clang::CanProxyAdaptor< EnumType >:
[legend]
Collaboration diagram for clang::CanProxyAdaptor< EnumType >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from clang::CanProxyBase< EnumType >
const EnumType * | getTypePtr () const
| Retrieve the pointer to the underlying Type. More...
| operator const EnumType * () const
| Implicit conversion to the underlying pointer. More...
CanProxy< U > | getAs () const
| Try to convert the given canonical type to a specific structural type. More...
const CanProxyAdaptor< EnumType > * | operator-> () const
| Retrieve the proxy-adaptor type. More...
Protected Attributes inherited from clang::CanProxyBase< EnumType >
CanQual< EnumType > | Stored

## Detailed Description

### template<>
struct clang::CanProxyAdaptor< EnumType >

Definition at line 561 of file CanonicalType.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/CanonicalType.h